SynapSynapDocs
Hub REST API

Runs

The Runs operations of the Hub REST API (3 operations).

For BuildersOpen-source podSynap CloudGenerated from Synap-core/backend@c31e261ab (main)
GET
/runs

Authorization

bearerAuth
headerAuthorizationBearer <API key>

Pod API key (Bearer) issued via /api/hub/setup/agent or pod admin tooling. Browser/web clients may use the X-Session-Token header instead. See GET /api/hub/auth/status to introspect the calling key.

Response Body

Run feed

application/json
  1. response
runs*array<unknown>
Example Request
curl -X GET 'https://pod.example.com/api/hub/runs'
Example Response
{  "runs": [    null  ]}
GET
/runs/{id}

Authorization

bearerAuth
headerAuthorizationBearer <API key>

Pod API key (Bearer) issued via /api/hub/setup/agent or pod admin tooling. Browser/web clients may use the X-Session-Token header instead. See GET /api/hub/auth/status to introspect the calling key.

Path Parameters

id*string

Query Parameters

flowType*string
Value in"automation""playbook""capture""capability""session""chat"

Response Body

Run detail

response?unknownapplication/json
Example Request
curl -X GET 'https://pod.example.com/api/hub/runs/string?flowType=automation'
Example Response
null
POST
/diagnose

Authorization

bearerAuth
headerAuthorizationBearer <API key>

Pod API key (Bearer) issued via /api/hub/setup/agent or pod admin tooling. Browser/web clients may use the X-Session-Token header instead. See GET /api/hub/auth/status to introspect the calling key.

Request Body

application/json
  1. body
agentId?string
id?string
type?string
Value in"proposal""session""capability""agent""entity""run""workspace"
workspaceId?string|null
stuckThresholdHours?number
flowType?string
Value in"automation""playbook""capture""capability""session""chat"
flowId?string
runId?string
limit?number

Response Body

Diagnose result

response?unknownapplication/json
Example Request
curl -X POST 'https://pod.example.com/api/hub/diagnose' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
null